Entity Delinquency Request
7 min
Authentication
You will need to login before sending Entity Delinquency Request. You are required to pass the access token received from the login call, as authorization header in the Entity Delinquency Request along with other parameters.
API Endpoint
Testing
POST :: https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../gstrdelinquenciesProduction
POST :: https://signzy.tech/api/v2/patrons/...patronID.../gstrdelinquenciesHeaders
Key | Value |
|---|---|
Authorization | ...access token (returned as id field of login request)... |
Content-type | application/json |
Request Body
The API request should include the following data in the request body:
{
"essentials": {
"gstin": "..gstin..",
"username": "..username..",
"authToken": "..authToken..",
"appKey": "..appKey..",
"sek": "..sek..",
"retPeriod": "..retPeriod.."
}
}Input Parameters
Field | Description |
|---|---|
gstin | GST Number of the organization |
Username | Username of your GST Portal Credentials |
AuthToken | AuthToken received in the authToken request |
App KEY | APP Key received in the OTP request |
Sek | Secret Key |
Return Period | Return Period for which Delinquency has to be fetched. (Eg 03/2018) |
Response body
{
"essentials": {
"gstin": "..gstin..",
"username": "..username..",
"authToken": "..authToken..",
"appKey": "..appKey..",
"sek": "..sek..",
"retPeriod": "..retPeriod.."
},
"id": "...accessToken...",
"patronId": "...patronId...",
"result":{
"interest" : "..interest..",
"lateFee" : "..lateFee..",
"penalty" : "..penalty..",
"status" : "..status..."
}
}